
local E = {
    ID = "magic_door",
    Base = "base",
    Name = "HL2 Door",
    Category = "Props",
    Model = "models/FuzzyLeo/magicdoor/magicdoorframe.mdl",
    Fallback = {
        pos = Vector(25,0,5),
        ang = Angle(0,0,0)
    },
    DoorAnimationTime = 0.7,
    Parts = {
        door = {
            model = "models/FuzzyLeo/magicdoor/magicdoordoor.mdl",
            posoffset=Vector(-6.905, 0 ,-54.988)
        }
    },
    ProjectedLight = {
        brightness = 0
    },
	Sounds={
		Door={
			enabled=true,
			open="doors/door_latch3.wav",
			close="doors/door1_stop.wav"
		},
	},
    Portal = {
        -- Generated by portals debug tool
        pos = Vector(6.905, 0, 54.988),
        ang = Angle(0, 0, 0),
        width = 50.193,
        height = 110.315,
        inverted = 0,
    },
}

TARDIS:AddExterior(E)

local E = {
    ID = "tree",
    Base = "base",
    Name = "Tree",
    Category = "Props",
    Model = "models/FuzzyLeo/magicdoor/treeframe.mdl",
    Fallback = {
        pos = Vector(25,0,5),
        ang = Angle(0,0,0)
    },
    DoorAnimationTime = 0.7,
    Parts = {
        door = {
            model = "models/FuzzyLeo/magicdoor/treedoor.mdl",
            posoffset=Vector(-7.07, 2.19 ,-42.97)
        }
    },
    ProjectedLight = {
        brightness = 0
    },
	Sounds={
		Door={
			enabled=true,
			open="doors/door1_move.wav",
			close="doors/door1_stop.wav"
		},
	},
    Portal = {
        -- Generated by portals debug tool
        pos = Vector(7.07, -2.19, 42.97),
        ang = Angle(0, 0, 0),
        width = 14,
        height = 86,
    },
}

TARDIS:AddExterior(E)

local E = {
    ID = "van",
    Base = "base",
    Name = "Van",
    Category = "Props",
    Model = "models/FuzzyLeo/magicdoor/vanframe.mdl",
    ScannerOffset = Vector(42,0,50),
    Fallback = {
        pos = Vector(70,0,5),
        ang = Angle(0,0,0)
    },
    DoorAnimationTime = 0.7,
    Parts = {
        door = {
            model = "models/FuzzyLeo/magicdoor/vandoor.mdl",
            posoffset=Vector(-41.5, 6.95, -50.63)
        }
    },
	Sounds={
		Door={
			enabled=true,
			open="vehicles/atv_ammo_open.wav",
			close="vehicles/atv_ammo_close.wav"
		},
	},
    Portal = {
        -- Generated by portals debug tool
        pos = Vector(41.5, -6.95, 50.63),
        ang = Angle(0, 0, 0),
        width = 65.23,
        height = 67.7,
        thickness = 3.7,
        inverted = 0,
    },
}

TARDIS:AddExterior(E)

local E = {
    ID = "metro_pb",
    Base = "base",
    Name = "[FuzzyLeo] Metropolitan Police Box",
    Category = "Legacy Exteriors",
    Model = "models/FuzzyLeo/magicdoor/metropolitanframe.mdl",
    ScannerOffset = Vector(42,0,50),
    Fallback = {
        pos = Vector(53,0,5),
        ang = Angle(0,0,0)
    },
    DoorAnimationTime = 0.4,
    PhaseMaterial = "models/FuzzyLeo/magicdoor/phasemat.vmt",
    Parts = {
        door = {
            model = "models/FuzzyLeo/magicdoor/metropolitandoor.mdl",
            posoffset=Vector(-28.2, 0, -45.3)
        }
    },
	Sounds={
		Door={
			enabled=true,
			open="FuzzyLeo/magicdoor/metroopen.wav",
			close="FuzzyLeo/magicdoor/metroclose.wav"
		},
	},
    ProjectedLight = {
        --color = Color(r,g,b), --Base color. Will use main interior light if not set.
        --warncolor = Color(r,g,b), --Warning color. Will use main interior warn color if not set.
        brightness = 0.1, --Light's brightness
        vertfov = 90,
        horizfov = 45, --vertical and horizontal field of view of the light. Will default to portal height and width.
        farz = 450, --FarZ property of the light. Determines how far the light projects.]]
        offset = Vector(-18, 0, 40), --Offset from box origin
        texture = "effects/flashlight/square" --Texture the projected light will use. You can get these from the Lamp tool.
    },
    Light={
        enabled=true,
        pos=Vector(0, 0, 113),
        color = Color(224,167,81),
    },
    Portal = {
        -- Generated by portals debug tool
        pos = Vector(28.2, 0, 45.3),
        ang = Angle(0, 0, 0),
        width = 41,
        height = 81.65,
        thickness = 35,
        inverted = true,
    },
}

TARDIS:AddExterior(E)